Loading...
Searching...
No Matches
cache.c File Reference

## Macros

#define | _(String)

## Functions

HfsCPrivateExtent * | hfsc_cache_add_extent (HfsCPrivateCache *cache, uint32_t start, uint32_t length, uint32_t block, uint16_t offset, uint8_t sbb, uint8_t where, uint8_t ref_index)
HfsCPrivateExtent * | hfsc_cache_move_extent (HfsCPrivateCache *cache, uint32_t old_start, uint32_t new_start)
HfsCPrivateExtent *_GL_ATTRIBUTE_PURE | hfsc_cache_search_extent (HfsCPrivateCache *cache, uint32_t start)
void | hfsc_delete_cache (HfsCPrivateCache *cache)
HfsCPrivateCache * | hfsc_new_cache (unsigned int block_number, unsigned int file_number)

## Macro Definition Documentation

## _

#define _ | ( |  | String | ) |

Value:
(String)

## Function Documentation

## hfsc_cache_add_extent()

HfsCPrivateExtent * hfsc_cache_add_extent | ( | HfsCPrivateCache * | cache,
|  | uint32_t | start,
|  | uint32_t | length,
|  | uint32_t | block,
|  | uint16_t | offset,
|  | uint8_t | sbb,
|  | uint8_t | where,
|  | uint8_t | ref_index )

## hfsc_cache_move_extent()

HfsCPrivateExtent * hfsc_cache_move_extent | ( | HfsCPrivateCache * | cache,
|  | uint32_t | old_start,
|  | uint32_t | new_start )

## hfsc_cache_search_extent()

HfsCPrivateExtent *_GL_ATTRIBUTE_PURE hfsc_cache_search_extent | ( | HfsCPrivateCache * | cache,
|  | uint32_t | start )

## hfsc_delete_cache()

void hfsc_delete_cache | ( | HfsCPrivateCache * | cache | ) |

## hfsc_new_cache()

HfsCPrivateCache * hfsc_new_cache | ( | unsigned int | block_number,
|  | unsigned int | file_number )